#402 e1000e: probe of 0000:00:19.0 failed with error -2

open
dertman
None
in-kernel_driver
1
2 days ago
2014-02-15
Chris Jones
No

Summary of bug (one line):
e1000e: probe of 0000:00:19.0 failed with error -2

Detailed description of bug:
I'm trying to install Ubuntu on a Gigabyte GA-Q87M-MK, with an I217-LM, but getting error
"e1000e: probe of 0000:00:19.0 failed with error -2" when loading e1000e

Reproducible with steps:
Gigabyte-Q87M-MK motherboard, and while loading the e1000e module.

Distribution and version:
Ubuntu 12.04.4
I've also tried Ubuntu 12.10 and the new Ubuntu 14.04

Kernel version:
3.11.0-15-generic

Intel Network Driver version:
2.3.2-k
and
3.0.4-NAPI
(both have same result)

Dmesg:

[ 16.324875] e1000e: Intel(R) PRO/1000 Network Driver - 2.3.2-k
[ 16.324877] e1000e: Copyright(c) 1999 - 2013 Intel Corporation.
[ 16.339168] e1000e 0000:00:19.0: setting latency timer to 64
[ 16.339214] e1000e 0000:00:19.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[ 16.339228] e1000e 0000:00:19.0: irq 45 for MSI/MSI-X
[ 17.363790] e1000e: probe of 0000:00:19.0 failed with error -2

[ 1916.923011] e1000e: Intel(R) PRO/1000 Network Driver - 3.0.4-NAPI
[ 1916.923019] e1000e: Copyright(c) 1999 - 2014 Intel Corporation.
[ 1916.923354] e1000e 0000:00:19.0: setting latency timer to 64
[ 1916.923480] e1000e 0000:00:19.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[ 1916.923522] e1000e 0000:00:19.0: irq 49 for MSI/MSI-X
[ 1917.755227] e1000e: probe of 0000:00:19.0 failed with error -2

ethtool output:
(I can't run ethtool -- the interface never appears)

'lspci -vvv' output:

00:00.0 Host bridge: Intel Corporation 4th Gen Core Processor DRAM Controller (rev 06)
Subsystem: Gigabyte Technology Co., Ltd Device 5000
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+="">SERR- <PERR- INTx-="" Latency:="" 0="" Capabilities:="" <span="">[e0] Vendor Specific Information: Len=0c

00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor PCI Express x16 Controller (rev 06) (prog-if 00 [Normal decode])
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0,="" Cache="" Line="" Size:="" 64="" bytes="" Bus:="" primary="00," secondary="01," subordinate="01," sec-latency="0" I="" O="" behind="" bridge:="" 0000e000-0000efff="" Memory="" behind="" bridge:="" f0400000-f04fffff="" Prefetchable="" memory="" behind="" bridge:="" 00000000fff00000-00000000000fffff="" Secondary="" status:="" 66MHz-="" FastB2B-="" ParErr-="" DEVSEL="fast">TAbort- <TAbort- <MAbort-="" <SERR-="" <PERR-="" BridgeCtl:="" Parity-="" SERR-="" NoISA-="" VGA-="" MAbort-="">Reset- FastB2B-
PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
Capabilities: [88] Subsystem: Gigabyte Technology Co., Ltd Device 5000
Capabilities: [80] Power Management version 3
Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
Address: fee002f8 Data: 0000
Capabilities: [a0] Express (v2) Root Port (Slot+), MSI 00
DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
ExtTag- RBE+ FLReset-
DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
MaxPayload 128 bytes, MaxReadReq 128 bytes
DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
LnkCap: Port #2, Speed unknown, Width x16, ASPM L0s L1, Latency L0 <256ns, L1 <8us
ClockPM- Surprise- LLActRep- BwNot+
LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt+ ABWMgmt-
SltCap: AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surprise-
Slot #1, PowerLimit 75.000W; Interlock- NoCompl+
SltCtl: Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
SltSta: Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
Changed: MRL- PresDet- LinkState-
RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
RootCap: CRSVisible-
RootSta: PME ReqID 0000, PMEStatus- PMEPending-
DevCap2: Completion Timeout: Not Supported, TimeoutDis- ARIFwd-
DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- ARIFwd-
LnkCtl2: Target Link Speed: Unknown, EnterCompliance- SpeedDis-, Selectable De-emphasis: -3.5dB
Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
Compliance De-emphasis: -6dB
LnkSta2: Current De-emphasis Level: -6dB
Capabilities: [100 v1] Virtual Channel
Caps: LPEVC=0 RefClk=100ns PATEntryBits=1
Arb: Fixed- WRR32- WRR64- WRR128-
Ctrl: ArbSelect=Fixed
Status: InProgress-
VC0: Caps: PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
Arb: Fixed+ WRR32- WRR64- WRR128- TWRR128- WRR256-
Ctrl: Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
Status: NegoPending- InProgress-
Capabilities: [140 v1] Root Complex Link
Desc: PortNumber=02 ComponentID=01 EltType=Config
Link0: Desc: TargetPort=00 TargetComponent=01 AssocRCRB- LinkType=MemMapped LinkValid+
Addr: 00000000fed19000
Capabilities: [d94 v1] #19
Kernel driver in use: pcieport
Kernel modules: shpchp

00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller (rev 06) (prog-if 00 [VGA controller])
Subsystem: Gigabyte Technology Co., Ltd Device d000
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0="" Interrupt:="" pin="" A="" routed="" to="" IRQ="" 47="" Region="" 0:="" Memory="" at="" f0000000="" (64-bit,="" non-prefetchable)="" <span="">[size=4M] Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M] Region 4: I/O ports at f000 [size=64] Expansion ROM at <unassigned> [disabled]
Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
Address: fee00018 Data: 0000
Capabilities: [d0] Power Management version 2
Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [a4] PCI Advanced Features
AFCap: TP+ FLR+
AFCtrl: FLR-
AFStatus: TP-
Kernel driver in use: i915
Kernel modules: i915

00:03.0 Audio device: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller (rev 06)
Subsystem: Intel Corporation Device 2010
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
Latency: 0, Cache Line Size: 64 bytes
Interrupt: pin A routed to IRQ 48
Region 0: Memory at f0534000 (64-bit, non-prefetchable) [size=16K]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit-
Address: fee00418 Data: 0000
Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
ExtTag- RBE- FLReset+
DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
MaxPayload 128 bytes, MaxReadReq 128 bytes
DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
ClockPM- Surprise- LLActRep- BwNot-
LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
Kernel driver in use: snd_hda_intel
Kernel modules: snd-hda-intel

00:14.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB xHCI (rev 05) (prog-if 30 [XHCI])
Subsystem: Gigabyte Technology Co., Ltd Device 5007
Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
Interrupt: pin A routed to IRQ 16
Region 0: Memory at f0520000 (64-bit, non-prefetchable) [size=64K]
Capabilities: [70] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot+,D3cold+)
Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [80] MSI: Enable- Count=1/8 Maskable- 64bit+
Address: 0000000000000000 Data: 0000

00:16.0 Communication controller: Intel Corporation 8 Series/C220 Series Chipset Family MEI Controller #1 (rev 04)
Subsystem: Gigabyte Technology Co., Ltd Device 1c3a
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
Latency: 0
Interrupt: pin A routed to IRQ 46
Region 0: Memory at f0540000 (64-bit, non-prefetchable) [size=16]
Capabilities: [50] Power Management version 3
Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [8c] MSI: Enable+ Count=1/1 Maskable- 64bit+
Address: 00000000fee003f8 Data: 0000
Kernel driver in use: mei_me
Kernel modules: mei-me

00:16.2 IDE interface: Intel Corporation 8 Series/C220 Series Chipset Family IDE-r Controller (rev 04) (prog-if 85 [Master SecO PriO])
Subsystem: Gigabyte Technology Co., Ltd Device 5000
Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
Latency: 0
Interrupt: pin C routed to IRQ 18
Region 0: I/O ports at f130 [size=8]
Region 1: I/O ports at f120 [size=4]
Region 2: I/O ports at f110 [size=8]
Region 3: I/O ports at f100 [size=4]
Region 4: I/O ports at f0f0 [size=16]
Capabilities: [c8] Power Management version 3
Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [d0] MSI: Enable- Count=1/1 Maskable- 64bit+
Address: 0000000000000000 Data: 0000
Kernel driver in use: ata_generic
Kernel modules: pata_acpi

00:16.3 Serial controller: Intel Corporation 8 Series/C220 Series Chipset Family KT Controller (rev 04) (prog-if 02 [16550])
Subsystem: Gigabyte Technology Co., Ltd Device 1c3a
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
Latency: 0
Interrupt: pin B routed to IRQ 19
Region 0: I/O ports at f0e0 [size=8]
Region 1: Memory at f053e000 (32-bit, non-prefetchable) [size=4K]
Capabilities: [c8] Power Management version 3
Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [d0] MSI: Enable- Count=1/1 Maskable- 64bit+
Address: 0000000000000000 Data: 0000
Kernel driver in use: serial

00:19.0 Ethernet controller: Intel Corporation Ethernet Connection I217-LM (rev 05)
Subsystem: Gigabyte Technology Co., Ltd Device e000
Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
Interrupt: pin A routed to IRQ 20
Region 0: Memory at f0500000 (32-bit, non-prefetchable) [size=128K]
Region 1: Memory at f053d000 (32-bit, non-prefetchable) [size=4K]
Region 2: I/O ports at f080 [size=32]
Capabilities: [c8] Power Management version 2
Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=1 PME-
Capabilities: [d0] MSI: Enable- Count=1/1 Maskable- 64bit+
Address: 00000000fee00438 Data: 0000
Capabilities: [e0] PCI Advanced Features
AFCap: TP+ FLR+
AFCtrl: FLR-
AFStatus: TP-
Kernel modules: e1000e

00:1a.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #2 (rev 05) (prog-if 20 [EHCI])
Subsystem: Gigabyte Technology Co., Ltd Device 5006
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
Latency: 0
Interrupt: pin A routed to IRQ 16
Region 0: Memory at f053c000 (32-bit, non-prefetchable) [size=1K]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [58] Debug port: BAR=1 offset=00a0
Capabilities: [98] PCI Advanced Features
AFCap: TP+ FLR+
AFCtrl: FLR-
AFStatus: TP-
Kernel driver in use: ehci-pci

00:1b.0 Audio device: Intel Corporation 8 Series/C220 Series Chipset High Definition Audio Controller (rev 05)
Subsystem: Gigabyte Technology Co., Ltd Device a002
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
Latency: 0, Cache Line Size: 64 bytes
Interrupt: pin A routed to IRQ 45
Region 0: Memory at f0530000 (64-bit, non-prefetchable) [size=16K]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
Address: 00000000fee003d8 Data: 0000
Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
ExtTag- RBE- FLReset+
DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
MaxPayload 128 bytes, MaxReadReq 128 bytes
DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
ClockPM- Surprise- LLActRep- BwNot-
LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
Capabilities: [100 v1] Virtual Channel
Caps: LPEVC=0 RefClk=100ns PATEntryBits=1
Arb: Fixed- WRR32- WRR64- WRR128-
Ctrl: ArbSelect=Fixed
Status: InProgress-
VC0: Caps: PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
Arb: Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
Ctrl: Enable+ ID=0 ArbSelect=Fixed TC/VC=01
Status: NegoPending- InProgress-
VC1: Caps: PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
Arb: Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
Ctrl: Enable+ ID=2 ArbSelect=Fixed TC/VC=04
Status: NegoPending- InProgress-
Kernel driver in use: snd_hda_intel
Kernel modules: snd-hda-intel

00:1d.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #1 (rev 05) (prog-if 20 [EHCI])
Subsystem: Gigabyte Technology Co., Ltd Device 5006
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
Latency: 0
Interrupt: pin A routed to IRQ 23
Region 0: Memory at f053b000 (32-bit, non-prefetchable) [size=1K]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [58] Debug port: BAR=1 offset=00a0
Capabilities: [98] PCI Advanced Features
AFCap: TP+ FLR+
AFCtrl: FLR-
AFStatus: TP-
Kernel driver in use: ehci-pci

00:1f.0 ISA bridge: Intel Corporation Q87 Express LPC Controller (rev 05)
Subsystem: Gigabyte Technology Co., Ltd Device 5001
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0="" Capabilities:="" <span="">[e0] Vendor Specific Information: Len=0c
Kernel driver in use: lpc_ich
Kernel modules: lpc_ich

00:1f.2 SATA controller: Intel Corporation 8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode] (rev 05) (prog-if 01 [AHCI 1.0])
Subsystem: Gigabyte Technology Co., Ltd Device b005
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
Latency: 0
Interrupt: pin B routed to IRQ 43
Region 0: I/O ports at f0d0 [size=8]
Region 1: I/O ports at f0c0 [size=4]
Region 2: I/O ports at f0b0 [size=8]
Region 3: I/O ports at f0a0 [size=4]
Region 4: I/O ports at f060 [size=32]
Region 5: Memory at f053a000 (32-bit, non-prefetchable) [size=2K]
Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
Address: fee00358 Data: 0000
Capabilities: [70] Power Management version 3
Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [a8] SATA HBA v1.0 BAR4 Offset=00000004
Kernel driver in use: ahci
Kernel modules: ahci

00:1f.3 SMBus: Intel Corporation 8 Series/C220 Series Chipset Family SMBus Controller (rev 05)
Subsystem: Gigabyte Technology Co., Ltd Device 5001
Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
Interrupt: pin C routed to IRQ 11
Region 0: Memory at f0539000 (64-bit, non-prefetchable) [size=256]
Region 4: I/O ports at f040 [size=32]
Kernel modules: i2c-i801

01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
Subsystem: Device 7470:3468
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
Latency: 0, Cache Line Size: 64 bytes
Interrupt: pin A routed to IRQ 44
Region 0: I/O ports at e000 [size=256]
Region 2: Memory at f0404000 (64-bit, non-prefetchable) [size=4K]
Region 4: Memory at f0400000 (64-bit, prefetchable) [size=16K]
Capabilities: [40] Power Management version 3
Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
Address: 00000000fee00378 Data: 0000
Capabilities: [70] Express (v2) Endpoint, MSI 01
DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
MaxPayload 128 bytes, MaxReadReq 4096 bytes
DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <512ns, L1 <64us
ClockPM+ Surprise- LLActRep- BwNot-
LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
DevCap2: Completion Timeout: Not Supported, TimeoutDis+
DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
Compliance De-emphasis: -6dB
LnkSta2: Current De-emphasis Level: -6dB
Capabilities: [b0] MSI-X: Enable- Count=4 Masked-
Vector table: BAR=4 offset=00000000
PBA: BAR=4 offset=00000800
Capabilities: [d0] Vital Product Data
Unknown small resource type 05, will not decode more.
Capabilities: [100 v1] Advanced Error Reporting
UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
AERCap: First Error Pointer: 00, GenCap+ CGenEn- ChkCap+ ChkEn-
Capabilities: [140 v1] Virtual Channel
Caps: LPEVC=0 RefClk=100ns PATEntryBits=1
Arb: Fixed- WRR32- WRR64- WRR128-
Ctrl: ArbSelect=Fixed
Status: InProgress-
VC0: Caps: PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
Arb: Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
Ctrl: Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
Status: NegoPending- InProgress-
Capabilities: [160 v1] Device Serial Number 8c-08-00-00-68-4c-e0-00
Kernel driver in use: r8169
Kernel modules: r8169

'cat /proc/interrupts' output:

root@k9b:~# cat /proc/interrupts
CPU0 CPU1 CPU2 CPU3
0: 17 0 0 0 IR-IO-APIC-edge timer
1: 9 0 0 0 IR-IO-APIC-edge i8042
5: 0 0 0 0 IR-IO-APIC-edge parport0
8: 1 0 0 0 IR-IO-APIC-edge rtc0
9: 0 0 0 0 IR-IO-APIC-fasteoi acpi
16: 29 0 0 0 IR-IO-APIC-fasteoi ehci_hcd:usb1
18: 0 0 0 0 IR-IO-APIC-fasteoi ata_generic
23: 33 0 0 0 IR-IO-APIC-fasteoi ehci_hcd:usb2
40: 0 0 0 0 DMAR_MSI-edge dmar0
41: 0 0 0 0 DMAR_MSI-edge dmar1
43: 1096204 0 0 0 IR-PCI-MSI-edge ahci
44: 8716 0 0 0 IR-PCI-MSI-edge eth0
45: 371 0 0 0 IR-PCI-MSI-edge snd_hda_intel
46: 25 0 0 0 IR-PCI-MSI-edge mei_me
47: 226 0 2 0 IR-PCI-MSI-edge i915
48: 61 0 0 0 IR-PCI-MSI-edge snd_hda_intel
NMI: 7 1 1 1 Non-maskable interrupts
LOC: 40338 21195 20720 13583 Local timer interrupts
SPU: 0 0 0 0 Spurious interrupts
PMI: 7 1 1 1 Performance monitoring interrupts
IWI: 935 749 768 573 IRQ work interrupts
RTR: 0 0 0 0 APIC ICR read retries
RES: 1524 4160 1508 669 Rescheduling interrupts
CAL: 188 298 345 371 Function call interrupts
TLB: 75 32 56 44 TLB shootdowns
TRM: 0 0 0 0 Thermal event interrupts
THR: 0 0 0 0 Threshold APIC interrupts
MCE: 0 0 0 0 Machine check exceptions
MCP: 9 9 9 9 Machine check polls
ERR: 0
MIS: 0

Please let me know if I can provide any additional info.

Thanks!
Chris

Discussion

  • Chris Jones
    Chris Jones
    2014-02-19

    I saw in another e1000e issue that it was recommended to compile with -DDEBUG to get more info, so i just tried that, which yields:

    [78567.071315] e1000e: Intel(R) PRO/1000 Network Driver - 3.0.4-NAPI
    [78567.071320] e1000e: Copyright(c) 1999 - 2014 Intel Corporation.
    [78567.071575] e1000e 0000:00:19.0: setting latency timer to 64
    [78567.071759] e1000e 0000:00:19.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
    [78567.071785] e1000e 0000:00:19.0: irq 48 for MSI/MSI-X
    [78567.071802] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [78567.168454] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [78567.168456] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [78567.265122] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [78567.319716] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [78567.416742] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [78567.416748] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [78567.513742] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [78567.607820] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [78567.704818] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [78567.704825] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [78567.801818] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [78567.801824] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [78567.802232] e1000e 0000:00:19.0 (unregistered net_device): MDI Error
    [78567.802237] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [78567.899234] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [78567.899522] e1000e: probe of 0000:00:19.0 failed with error -2

    Not sure if that helps any. Any tips?

     
  • Todd Fujinaka
    Todd Fujinaka
    2014-02-19

    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -1,4 +1,3 @@
    -
     ** Summary of bug (one line): **
        e1000e: probe of 0000:00:19.0 failed with error -2
    
    • assigned_to: dertman
     
  • Bruce Allan
    Bruce Allan
    2014-02-19

    Please check with Gigabyte to see if they have a BIOS update for your system, and if so, try with that.

     
    • Chris Jones
      Chris Jones
      2014-02-24

      I looked into this and in fact wasn't running the latest BIOS (I was running F2, and the latest is F3). But I'm afraid updating the BIOS to F3 didn't help - I still see the same behavior.

       
  • Evan
    Evan
    2014-04-11

    I have the same issue on an Asus H87I-PLUS with an Intel I217-V NIC. Tried on Ubuntu 12.04 and 14.04 as Chris did, and also Fedora 20.

    dmesg output below (compiled with -DDEBUG as Chris suggested). You can see the versions change as I recompiled and modprobe'd.

    If I can gather any more system data to help, please let me know!

    [ 2.780197] e1000e: Intel(R) PRO/1000 Network Driver - 2.3.2-k
    [ 2.780199] e1000e: Copyright(c) 1999 - 2013 Intel Corporation.
    [ 2.802822] e1000e 0000:00:19.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
    [ 2.802835] e1000e 0000:00:19.0: irq 43 for MSI/MSI-X
    [ 3.845872] e1000e: probe of 0000:00:19.0 failed with error -2
    [ 132.397568] e1000e: module verification failed: signature and/or required key missing - tainting kernel
    [ 132.402516] e1000e: Intel(R) PRO/1000 Network Driver - 3.0.4-NAPI
    [ 132.402518] e1000e: Copyright(c) 1999 - 2014 Intel Corporation.
    [ 132.402662] e1000e 0000:00:19.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
    [ 132.402677] e1000e 0000:00:19.0: irq 47 for MSI/MSI-X
    [ 133.226766] e1000e: probe of 0000:00:19.0 failed with error -2
    [ 239.059122] e1000e: Intel(R) PRO/1000 Network Driver - 3.0.4-NAPI
    [ 239.059130] e1000e: Copyright(c) 1999 - 2014 Intel Corporation.
    [ 239.059486] e1000e 0000:00:19.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
    [ 239.059518] e1000e 0000:00:19.0: irq 47 for MSI/MSI-X
    [ 239.059558] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [ 239.156312] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [ 239.156319] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [ 239.252971] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [ 239.308146] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [ 239.404861] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [ 239.404865] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [ 239.501559] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [ 239.596300] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [ 239.693096] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [ 239.693104] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [ 239.789889] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [ 239.789896] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [ 239.790354] e1000e 0000:00:19.0 (unregistered net_device): MDI Error
    [ 239.790358] e1000e 0000:00:19.0 (unregistered net_device): reading PHY page 0 (or 0x0 shifted) reg 0x2
    [ 239.887142] e1000e 0000:00:19.0 (unregistered net_device): MDI Read did not complete
    [ 239.887361] e1000e: probe of 0000:00:19.0 failed with error -2

     
    Last edit: Evan 2014-04-11
  • Evan
    Evan
    2014-04-11

    I have found a 'workaround' for this issue, but I have no idea what it actually changed. Here's what I did:

    1. Live boot to 14.04 beta2, experience the issue as above.
    2. Install Windows 8.1 to a hard drive, see that the NIC works there.
    3. Live boot to 14.04 beta2 (the same ISO!), the NIC now works - both v2.3.2-k and the newest 3.0.4.1-NAPI that I had intended to hack on when it didn't work.

    Windows installation must have changed something, perhaps in the UEFI. I have verified that all of my BIOS settings are the same as they were.

    I've attached the dmesg (DEBUG level again) of the running NIC, but I doubt it will be enlightening.

    @Chris: I used the Windows 8.1 enterprise trial to see if the NIC would work. You may be able to do the same.

     
    Attachments
  • dertman
    dertman
    2014-04-11

    When this happens, are you booting with the cable in or out? And do you know if you have Runtime Power Management configured in the kernel and enabled?

     
    • Chris Jones
      Chris Jones
      2014-04-11

      I'm booting with the cable in.

      Runtime power management is configured in the kernel, but disabled for the device:

      chris@metal[10]:/sys/devices% cat /sys/devices/pci0000:00/0000:00:19.0/power/wakeup
      disabled

      Is that the only place I need to check to see if it's disabled?

       
      • dertman
        dertman
        2014-04-11

        /sys/devices/pci0000:00/0000:00:19.0/power/control is where you check for RPM enabled.

        on = Disabled
        auto = Enabled

         
        • Chris Jones
          Chris Jones
          2014-04-11

          Thanks, it looks like it's disabled:

          chris@metal[1]:~% cat /sys/devices/pci0000\:00/0000\:00\:19.0/power/control
          on

          I tried changing to auto, and unloading and reloading the e1000e module, but I get the same effect:

          [3592302.416301] e1000e: probe of 0000:00:19.0 failed with error -2

           
  • Chris Jones
    Chris Jones
    2014-04-11

    Thanks, it looks like it's disabled:

    chris@metal[1]:~% cat /sys/devices/pci0000\:00/0000\:00\:19.0/power/control
    on

    I tried changing to auto, and unloading and reloading the e1000e module, but I get the same effect:

    [3592302.416301] e1000e: probe of 0000:00:19.0 failed with error -2

     
  • Yi Wang
    Yi Wang
    2014-04-12

    I just bought a Asus SABERTOOTH Z87 MB, which has a on-board intel i217v. It is now having the exact problem here. Evan's method does no luck for me: under windows 8.1, the network is also not usable, with the error code 10. Since the MB is brand new, I guess there should not be a hardware problem. Wish someone can give a solution. THX.

     
  • mservillat
    mservillat
    2014-04-17

    Possible workaround: try to boot with the cable out (not simply reloading the module with the cable out)

    I encountered the issue with a HP EliteBook 8570p and the following ethernet controller:
    $ lspci | grep Ethernet
    00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)

    Using Ubuntu 13.10 and the following kernel:
    $ uname -a
    Linux 3.11.0-20-generic #34-Ubuntu SMP Tue Apr 1 20:40:25 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

    I noticed that sometimes the cable connection worked, while most of the time I got the error reported in this ticket: "e1000e: probe of 0000:00:19.0 failed with error -2". I tried to update the module to 3.0.4-NAPI but got the same issue. I tried the different kernel versions available for Ubuntu 13.10 without success.

    Rebooting with the ethernet cable out made it work as expected with the following dmesg:

    $ dmesg | grep e1000e
    [ 1.258717] e1000e: Intel(R) PRO/1000 Network Driver - 2.3.2-k
    [ 1.258719] e1000e: Copyright(c) 1999 - 2013 Intel Corporation.
    [ 1.258848] e1000e 0000:00:19.0: setting latency timer to 64
    [ 1.258898] e1000e 0000:00:19.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
    [ 1.258918] e1000e 0000:00:19.0: irq 45 for MSI/MSI-X
    [ 1.467213] e1000e 0000:00:19.0 eth0: registered PHC clock
    [ 1.467216] e1000e 0000:00:19.0 eth0: (PCI Express:2.5GT/s:Width x1) a4:5d:36:9b:c4:eb
    [ 1.467217] e1000e 0000:00:19.0 eth0: Intel(R) PRO/1000 Network Connection
    [ 1.467267] e1000e 0000:00:19.0 eth0: MAC: 10, PHY: 11, PBA No: FFFFFF-0FF
    [ 9.385006] e1000e 0000:00:19.0: irq 45 for MSI/MSI-X
    [ 9.488872] e1000e 0000:00:19.0: irq 45 for MSI/MSI-X
    [ 67.189684] e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: None
    [ 67.189695] e1000e 0000:00:19.0 eth0: 10/100 speed: disabling TSO